/* 
 * JBoss, Home of Professional Open Source
 * Copyright 2011 Red Hat Inc. and/or its affiliates and other contributors
 * as indicated by the @authors tag. All rights reserved.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 */

package org.jboss.jbw2011.keynote.demo.drools.model;


public class Tweet
{
    private long id ;
	private String message ;
	private String screenName ;
	private long timestamp ;
	private String hashtags ;
	
	public Tweet() {}
	
	public Tweet(final long id, final String message, final String hashtags, final String screenName, final long timestamp)
	{
	    this.id = id ;
		this.message = message ;
		this.hashtags = hashtags ;
		this.screenName = screenName ;
		this.timestamp = timestamp ;
	}

	public long getId()
	{
	    return id ;
	}
	
	public void setId(final long id)
	{
	    this.id = id ;
	}

	public String getMessage()
	{
	    return message ;
	}
	
	public void setMessage(final String message)
	{
	    this.message = message ;
	}

	public String getScreenName()
	{
	    return screenName ;
	}
	
	public void setScreenName(final String screenName)
	{
	    this.screenName = screenName ;
	}

	public long getTimestamp()
	{
	    return timestamp ;
	}
	
	public void setTimestamp(long timestamp)
	{
	    this.timestamp = timestamp ;
	}

    public String getHashtags()
    {
        return hashtags ;
    }
    
    public void setHashtags(final String hashtags)
    {
        this.hashtags = hashtags ;
    }

    public String[] getHashtagsAsArray()
    {
        return (hashtags == null ? null : hashtags.split(" +")) ;
    }
}
